## class osg::RefMatrixd

## Inheritance:

### Public Methods

RefMatrixd()
RefMatrixd( const Matrixd& other)
RefMatrixd( const Matrixf& other)
RefMatrixd( const RefMatrixd& other)
explicit RefMatrixd( Matrixd::value_type const* const def )
RefMatrixd( Matrixd::value_type a00, Matrixd::value_type a01, Matrixd::value_type a02, Matrixd::value_type a03, Matrixd::value_type a10, Matrixd::value_type a11, Matrixd::value_type a12, Matrixd::value_type a13, Matrixd::value_type a20, Matrixd::value_type a21, Matrixd::value_type a22, Matrixd::value_type a23, Matrixd::value_type a30, Matrixd::value_type a31, Matrixd::value_type a32, Matrixd::value_type a33)
virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const

### Protected Methods

virtual ~RefMatrixd()

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

### Inherited from Matrixd:

### Public Methods

int compare(const Matrixd& m) const
bool operator < (const Matrixd& m) const
bool operator == (const Matrixd& m) const
bool operator != (const Matrixd& m) const
inline value_type& operator()(int row, int col)
inline value_type operator()(int row, int col) const
inline bool valid() const
inline bool isNaN() const
inline void set(const Matrixd& rhs)
void set(const Matrixf& rhs)
inline void set(float const* const ptr)
inline void set(double const* const ptr)
void set( value_type a00, value_type a01, value_type a02, value_type a03, value_type a10, value_type a11, value_type a12, value_type a13, value_type a20, value_type a21, value_type a22, value_type a23, value_type a30, value_type a31, value_type a32, value_type a33)
void set(const Quat& q)
void get(Quat& q) const
value_type* ptr()
const value_type* ptr() const
void makeIdentity()
void makeScale( const Vec3& )
void makeScale( value_type, value_type, value_type )
void makeTranslate( const Vec3& )
void makeTranslate( value_type, value_type, value_type )
void makeRotate( const Vec3& from, const Vec3& to )
void makeRotate( float angle, const Vec3& axis )
void makeRotate( float angle, float x, float y, float z )
void makeRotate( const Quat& )
void makeRotate( float angle1, const Vec3& axis1, float angle2, const Vec3& axis2, float angle3, const Vec3& axis3)
void makeOrtho(double left, double right, double bottom, double top, double zNear, double zFar)
bool getOrtho(double& left, double& right, double& bottom, double& top, double& zNear, double& zFar)
inline void makeOrtho2D(double left, double right, double bottom, double top)
void makeFrustum(double left, double right, double bottom, double top, double zNear, double zFar)
bool getFrustum(double& left, double& right, double& bottom, double& top, double& zNear, double& zFar)
void makePerspective(double fovy, double aspectRatio, double zNear, double zFar)
bool getPerspective(double& fovy, double& aspectRatio, double& zNear, double& zFar)
void makeLookAt(const Vec3& eye, const Vec3& center, const Vec3& up)
void getLookAt(Vec3& eye, Vec3& center, Vec3& up, float lookDistance=1.0f)
bool invert( const Matrixd& )
inline static Matrixd identity( void )
inline static Matrixd scale( const Vec3& sv)
inline static Matrixd scale( value_type sx, value_type sy, value_type sz)
inline static Matrixd translate( const Vec3& dv)
inline static Matrixd translate( value_type x, value_type y, value_type z)
inline static Matrixd rotate( const Vec3& from, const Vec3& to)
inline static Matrixd rotate( float angle, float x, float y, float z)
inline static Matrixd rotate( float angle, const Vec3& axis)
inline static Matrixd rotate( float angle1, const Vec3& axis1, float angle2, const Vec3& axis2, float angle3, const Vec3& axis3)
inline static Matrixd rotate( const Quat& quat)
inline static Matrixd inverse( const Matrixd& matrix)
inline static Matrixd ortho(double left, double right, double bottom, double top, double zNear, double zFar)
inline static Matrixd ortho2D(double left, double right, double bottom, double top)
inline static Matrixd frustum(double left, double right, double bottom, double top, double zNear, double zFar)
inline static Matrixd perspective(double fovy, double aspectRatio, double zNear, double zFar)
inline static Matrixd lookAt(const Vec3& eye, const Vec3& center, const Vec3& up)
void setTrans( value_type tx, value_type ty, value_type tz )
void setTrans( const Vec3& v )
inline Vec3 getTrans() const
inline Vec3 getScale() const
inline static Vec3 transform3x3(const Vec3& v, const Matrixd& m)
inline static Vec3 transform3x3(const Matrixd& m, const Vec3& v)
void mult( const Matrixd&, const Matrixd& )
void preMult( const Matrixd& )
void postMult( const Matrixd& )
inline void operator *= ( const Matrixd& other )
inline Matrixd operator * ( const Matrixd &m ) const
inline Matrixd identity(void)
inline Matrixd scale(value_type sx, value_type sy, value_type sz)
inline Matrixd scale(const Vec3& v )
inline Matrixd translate(value_type tx, value_type ty, value_type tz)
inline Matrixd translate(const Vec3& v )
inline Matrixd rotate( const Quat& q )
inline Matrixd rotate(float angle, float x, float y, float z )
inline Matrixd rotate(float angle, const Vec3& axis )
inline Matrixd rotate( float angle1, const Vec3& axis1, float angle2, const Vec3& axis2, float angle3, const Vec3& axis3)
inline Matrixd rotate(const Vec3& from, const Vec3& to )
inline Matrixd inverse( const Matrixd& matrix)
inline Matrixd ortho(double left, double right, double bottom, double top, double zNear, double zFar)
inline Matrixd ortho2D(double left, double right, double bottom, double top)
inline Matrixd frustum(double left, double right, double bottom, double top, double zNear, double zFar)
inline Matrixd perspective(double fovy, double aspectRatio, double zNear, double zFar)
inline Matrixd lookAt(const Vec3& eye, const Vec3& center, const Vec3& up)
inline Vec3 postMult( const Vec3& v ) const
inline Vec3 preMult( const Vec3& v ) const
inline Vec4 postMult( const Vec4& v ) const
inline Vec4 preMult( const Vec4& v ) const
inline Vec3 transform3x3(const Vec3& v, const Matrixd& m)
inline Vec3 transform3x3(const Matrixd& m, const Vec3& v)
inline Vec3 operator* (const Vec3& v) const
inline Vec4 operator* (const Vec4& v) const

### Public Members

typedef double value_type

### Protected Fields

value_type _mat[4][4]

## Documentation

`RefMatrixd()`

`RefMatrixd( const Matrixd& other)`

`RefMatrixd( const Matrixf& other)`

`RefMatrixd( const RefMatrixd& other)`

`explicit RefMatrixd( Matrixd::value_type const* const def )`

`RefMatrixd( Matrixd::value_type a00, Matrixd::value_type a01, Matrixd::value_type a02, Matrixd::value_type a03, Matrixd::value_type a10, Matrixd::value_type a11, Matrixd::value_type a12, Matrixd::value_type a13, Matrixd::value_type a20, Matrixd::value_type a21, Matrixd::value_type a22, Matrixd::value_type a23, Matrixd::value_type a30, Matrixd::value_type a31, Matrixd::value_type a32, Matrixd::value_type a33)`

`virtual Object* cloneType() const`

`virtual Object* clone(const CopyOp&) const`

`virtual bool isSameKindAs(const Object* obj) const`

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual ~RefMatrixd()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.